发布时间 :2006-02-28 06:02:00
修订时间 :2011-03-07 21:31:04

[原文]SQL injection vulnerability in in Bugzilla 2.17 through 2.18.4 and 2.20 allows remote authenticated users with administrative privileges to execute arbitrary SQL commands via the whinedays parameter, as accessible from editparams.cgi.

[CNNVD]Bugzilla Whinedays ‘’SQL注入漏洞(CNNVD-200602-414)

        Bugzilla 2.17到2.18.4和2.20的whineatnews.pl中存在SQL注入漏洞。具有管理权限的远程认证用户可以借助可从editparams.cgi访问的whinedays参数执行任意SQL命令。

- CVSS (基础分值)

CVSS分值: 5.5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:mozilla:bugzilla:2.20:rc1Mozilla Bugzilla 2.20 rc1
cpe:/a:mozilla:bugzilla:2.19.1Mozilla Bugzilla 2.19.1
cpe:/a:mozilla:bugzilla:2.17.3Mozilla Bugzilla 2.17.3
cpe:/a:mozilla:bugzilla:2.19.3Mozilla Bugzilla 2.19.3
cpe:/a:mozilla:bugzilla:2.19.2Mozilla Bugzilla 2.19.2
cpe:/a:mozilla:bugzilla:2.18.1Mozilla Bugzilla 2.18.1
cpe:/a:mozilla:bugzilla:2.17.4Mozilla Bugzilla 2.17.4
cpe:/a:mozilla:bugzilla:2.21Mozilla Bugzilla 2.21
cpe:/a:mozilla:bugzilla:2.17.7Mozilla Bugzilla 2.17.7
cpe:/a:mozilla:bugzilla:2.18.4Mozilla Bugzilla 2.18.4
cpe:/a:mozilla:bugzilla:2.18:rc3Mozilla Bugzilla 2.18 rc3
cpe:/a:mozilla:bugzilla:2.18.2Mozilla Bugzilla 2.18.2
cpe:/a:mozilla:bugzilla:2.20Mozilla Bugzilla 2.20
cpe:/a:mozilla:bugzilla:2.20:rc2Mozilla Bugzilla 2.20 rc2
cpe:/a:mozilla:bugzilla:2.18:rc1Mozilla Bugzilla 2.18 rc1
cpe:/a:mozilla:bugzilla:2.19Mozilla Bugzilla 2.19
cpe:/a:mozilla:bugzilla:2.17.6Mozilla Bugzilla 2.17.6
cpe:/a:mozilla:bugzilla:2.17.1Mozilla Bugzilla 2.17.1
cpe:/a:mozilla:bugzilla:2.18.3Mozilla Bugzilla 2.18.3
cpe:/a:mozilla:bugzilla:2.21.1Mozilla Bugzilla 2.21.1
cpe:/a:mozilla:bugzilla:2.18:rc2Mozilla Bugzilla 2.18 rc2
cpe:/a:mozilla:bugzilla:2.17.5Mozilla Bugzilla 2.17.5

- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(VENDOR_ADVISORY)  XF  bugzilla-editparams-sql-injection(24819)
(UNKNOWN)  VUPEN  ADV-2006-0692
(VENDOR_ADVISORY)  BUGTRAQ  20060221 [BUGZILLA] Security Advisory for Bugzilla 2.20, 2.21.1, and 2.18.4

- 漏洞信息

Bugzilla Whinedays ‘’SQL注入漏洞
中危 SQL注入
2006-02-28 00:00:00 2006-02-28 00:00:00
        Bugzilla 2.17到2.18.4和2.20的whineatnews.pl中存在SQL注入漏洞。具有管理权限的远程认证用户可以借助可从editparams.cgi访问的whinedays参数执行任意SQL命令。

- 公告与补丁

        Mozilla Bugzilla 2.20
        Mozilla bugzilla-2.20.1.tar.gz
        Mozilla Bugzilla 2.18 rc1
        Mozilla bugzilla-2.18.5.tar.gz
        Mozilla Bugzilla 2.18 rc3
        Mozilla bugzilla-2.18.5.tar.gz
        Mozilla Bugzilla 2.18 rc2
        Mozilla bugzilla-2.18.5.tar.gz
        Mozilla Bugzilla 2.18.1
        Mozilla bugzilla-2.18.5.tar.gz
        Mozilla Bugzilla 2.18.2
        Mozilla bugzilla-2.18.5.tar.gz
        Mozilla Bugzilla 2.18.3
        Mozilla bugzilla-2.18.5.tar.gz
        Mozilla Bugzilla 2.18.4
        Mozilla bugzilla-2.18.5.tar.gz
        Mozilla Bugzilla 2.20 rc2
        Mozilla bugzilla-2.20.1.tar.gz
        Mozilla Bugzilla 2.20 rc1
        Mozilla bugzilla-2.20.1.tar.gz
        Mozilla Bugzilla 2.21
        Mozilla bugzilla-2.22rc1.tar.gz
        Mozilla Bugzilla 2.21.1
        Mozilla bugzilla-2.22rc1.tar.gz

- 漏洞信息

Bugzilla editparams.cgi whinedays Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Vendor Verified

- 漏洞描述

Bugzilla contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the 'editparams.cgi' script not properly sanitizing user-supplied input to the 'whinedays' variable. This may allow an attacker to inject or manipulate SQL queries in the back-end database.

- 时间线

2006-02-21 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 2.20.1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者